#include "point.h"

Point::Point() {
    // no-op
}

Point::Point(double x, double y) {
    this->x = x;
    this->y = y;
}

double Point::getX() const {
    return x;
}

double Point::getY() const {
    return y;
}

void Point::moveBy(double dx, double dy) {
    x += dx;
    y += dy;
}

void Point::moveTo(double xn, double yn) {
    x = xn;
    y = yn;
}
