#ifndef POINT_H
#define POINT_H

/**
 * Ein Punkt im zweidimensionalen.
 * Beschrieben durch X- und Y-Koordinate.
 */
class Point {
public:
    Point();
    Point(double x, double y);

    double getX() const;
    double getY() const;

    void moveBy(double dx, double dy);
    void moveTo(double xn, double yn);

private:
    double x = 0.0;
    double y = 0.0;
}; // <-- WICHTIG, nicht vergessen

#endif
